template.config("escape", false);
var domain = "http://m.saic.gov.cn/";
/*var domain = "http://172.16.15.75/";*/
var suffix = ".json";
/**
 * 根据模板id和json数据将模板替换成真实数据。
 */
function fillRealData(templateId, containerId, jsonData){
	var render = template(templateId);
	var dataSetKey = $("#" + templateId).attr("dataSetKey");
	var html = "";
	if(dataSetKey != undefined && dataSetKey != null && dataSetKey != ""){
		html = render(jsonData[dataSetKey]);
	}else{
		html = render(jsonData);
	}
	
	$("#"+containerId).append(html);
	
	//轮播图加载完数据后，声明滚动事件
	if(containerId == "sliderimgContainer"){
		mui.init({
			swipeBack:true //启用右滑关闭功能
		});
		var slider = mui("#sliderimg");
		slider.slider({
			  interval:3000//自动轮播周期，若为0则不自动播放，默认为0；
		});
	}
	 //超链接	,绑定点击事件
	var new01 = document.getElementById(containerId).getElementsByClassName('new01');
	   for(var i = 0; i<new01.length; i++){
		  new01[i].addEventListener('tap', function(e) {
		  localStorage.setItem("headerTitle","新闻");
		  var url = $(e.currentTarget).attr("url");
		  mui.openWindow({
					url: url,
					//id: "new01",
					show: {
						aniShow: 'slide-in-right',
						duration: 300
					}
				});
				return;
		});
	 }
	   
	   
	   
	   //列表项点击事件。跳转到新闻页面
	   var news_content = document.getElementById(containerId).getElementsByClassName('news_content');
	   for(var i = 0; i<news_content.length; i++){
		  news_content[i].addEventListener('tap', function(e) {
		  //设置下级页面标题
		  setTitle(e);
		  //console.info(headerTitle)
		  var dataSrc = $(e.currentTarget).attr("dataSrc");
		  localStorage.setItem("currentDetailUri",dataSrc);
		  var newsTitle = $(e.currentTarget).attr("newsTitle");
		  console.info(newsTitle);
		  localStorage.setItem("currentDetailTitle",newsTitle);
		  //console.info(dataSrc);
		  //判断跳转的url，如果不是移动门户的地址，则用外部浏览器打开
		  if(dataSrc.indexOf("http")==0  && dataSrc.indexOf(domain) < 0){
		  	//url是以http开头，并且不包含http://m.saic.gov.cn/，说明是外部链接
		  	if(mui.os.plus) {
				plus.runtime.openURL(dataSrc);
			} else {
				localStorage.setItem("currentDetailUri", dataSrc);
				mui.openWindow({
					url: "news.html",
					//id: "news_2",
					show: {
						aniShow: 'slide-in-right',
						duration: 300,
						autoShow:false
					},
					 waiting:{
				      autoShow:true,//自动显示等待框，默认为true
				      title:'正在加载...',//等待对话框上显示的提示内容
				      options:{
				        width:'100px',//等待框背景区域宽度，默认根据内容自动计算合适宽度
				        height:'30px'//等待框背景区域高度，默认根据内容自动计算合适高度
				      }
				    }
				});
			}
		  }else{
		  		mui.openWindow({
					url: "news.html",
					//id: "news_2",
					show: {
						aniShow: 'slide-in-right',
						duration: 300
					}
				});
		  }
		
		  return;
		});
	   }
	   
	//列表项点击事件。跳转到新闻列表页
	   var news_1 = document.getElementById(containerId).getElementsByClassName('news_list');
	   for(var i = 0; i<news_1.length; i++){
		  news_1[i].addEventListener('tap', function(e) {
		  //设置下级页面的标题
		  setTitle(e);
		  var dataSrc = $(e.currentTarget).attr("dataSrc");
		  localStorage.setItem("currentRequestUri",dataSrc);
		  mui.openWindow({
					url: "list_news.html",
					//id: "news_2",
					show: {
						aniShow: 'slide-in-right',
						duration: 300
					}
				});
				return;
			});
	   }	
}

/**
 * 设置下级页面的标题
 */
function setTitle(e) {
	//获取title
	var headerTitle = null;
	//多页签模块获取title，比如政务页面中的模块
	var contentDiv = $(e.target).parents(".mui-slider-item");
	var sourceId = "#" + contentDiv.attr("id");
	headerTitle = $("a[href='" + sourceId + "']").text();
	if(headerTitle) {
		localStorage.setItem("headerTitle", headerTitle);
	}

	//如果headerTitle还没被赋值
	if(!headerTitle) {
		//单页签模块获取title，比如互动页面中的模块
		contentDiv = $(e.target).parents("div:has(script),ul:has(script)")[0];
		if(contentDiv) {
			var contentParent = $(contentDiv).parent();
			var titleContainer = $(contentDiv).prev();
			var className = titleContainer.attr("class");
			if(className == undefined || className == null) {
				className = "";
			}
			//titleContainer存在并且class中不包含_title，就继续向上找
			while(titleContainer.length > 0 && className.indexOf("_title") < 0) {

				titleContainer = titleContainer.prev();
				className = titleContainer.attr("class");
				if(className == undefined || className == null) {
					className = "";
				}
			}
			if(className.indexOf("_title") >= 0) {
				headerTitle = $(titleContainer).text();
				if(headerTitle) {
					localStorage.setItem("headerTitle", headerTitle);
				}
			}
			
			//例如：总局领导模块
			if(!headerTitle) {
				headerTitle = $(e.target).attr("title");
				localStorage.setItem("headerTitle", headerTitle);
			}

			if(!headerTitle) {
				headerTitle = $("header div.header_title").text();
				localStorage.setItem("headerTitle", headerTitle);
			}
			//console.info(headerTitle);

		}
	}
}
/**
 * 请求数据，填充数据
 */
function getData(url, templateId, containerId){
	console.info("url:"+url);
	$.get(url,function(data){
		fillRealData(templateId,containerId,data);
	},"json");
	
	/*$.ajax({
		type:"GET",
		url:url,
		dataType:"text",
		success:function(data){
			console.info(data);
		},
		error:function(e,a,t){
		console.error(t);
		}
	});*/
}
/**
 * 根据自定义属性(kind='temp')查找页面中所有模板，并填充真实数据
 */
function findTemplateAndFillData(){
	$("script[kind='temp']").each(function(ind,ele){
		var uri = $(ele).attr("uri");
		var scriptId = $(ele).attr("id");
		var containerId = $(ele).parent().attr("id");
		getData(domain+uri+suffix, scriptId, containerId);
		
	})
}

//测试中
function fillHtmlData(templateId, containerId, data){
	$("#"+containerId).append(data);
}
function getHtmlData(url, templateId, containerId){
	console.info(url);
	$.get(url,function(data){
		fillHtmlData(templateId,containerId,data);
	},"text");
	
}
function findHtml(){
	$("script[kind='html']").each(function(ind,ele){
		var uri = $(ele).attr("uri");
		var scriptId = $(ele).attr("id");
		var containerId = $(ele).parent().attr("id");
		getHtmlData(uri, scriptId, containerId);
		
	})
}
$(function(){
	findTemplateAndFillData();
	findHtml();
	
	//tab标签点击事件。跳转到新闻列表页
	   var news_1 = document.getElementsByClassName('news_1');
	   for(var i = 0; i<news_1.length; i++){
		  news_1[i].addEventListener('tap', function(e) {
		  var headerTitle = e.target.innerText;
		  localStorage.setItem("headerTitle",headerTitle);
		  var dataSrc = $(e.currentTarget).attr("dataSrc");
		  localStorage.setItem("currentRequestUri",dataSrc);
		  mui.openWindow({
					url: "list_news.html",
					//id: "news_2",
					show: {
						aniShow: 'slide-in-right',
						duration: 300
					}
				});
				return;
			});
	   }
})
