var listUrl = "http://gzhd.saic.gov.cn:8281/companyList.action";
var detailUri = "companyInfo.action";

mui.init({
			pullRefresh: {
				container: '#pullrefresh',
				up: {
					contentrefresh: '正在加载...',
					callback: pullupRefresh
				}
			}
		});
		
		
		var count = 1;
		/**
		 * 上拉加载具体业务实现
		 */
		function pullupRefresh() {
			/*setTimeout(function() {
				mui('#pullrefresh').pullRefresh().endPullupToRefresh((++count > 2)); //参数为true代表没有更多数据了。
				var table = document.body.querySelector('.mui-table-view');
				var cells = document.body.querySelectorAll('.mui-table-view-cell');
				for (var i = cells.length, len = i + 20; i < len; i++) {
					var li = document.createElement('li');
					li.className = 'mui-table-view-cell zx-list zx-list-xq';
					li.innerHTML = '<a class="mui-navigate-right"><div class="zxpx-list_02">安利（中国）日用品有限公司</div></a>';
					table.appendChild(li);
				}
				pullrefresh01();
			}, 1);*/
			getData();
			count++;
		}
		
		/**
		 * 请求数据，填充数据
		 */
		function getData(){
			console.info('page:'+count);
			var param = localStorage.getItem("directSellingParam");
			param += "&page="+count+"&pageSize="+20;
			$.ajax({
				type:"post",
				url:listUrl,
				dataType:"json",
				data:param,
				async:false,
				success:function(data){
					console.info(data);
					if(data.list.length < 1){
						mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);//参数为true代表没有更多数据了。
						return;
					}
					fillRealData(data);
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(false); 
				},
				error:function(e,a,t){
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(true); //参数为true代表没有更多数据了。
				}
			});
		}
		
		
		var render = template("companyScript");
		/**
		 * 根据模板id和json数据将模板替换成真实数据。
		 */
		function fillRealData(jsonData){
			var html = "";
			html = render(jsonData.list);
			$("#companyContainer").append(html);
			
			var domArrary = document.getElementsByClassName('zx-list-xq');
			for(var i = 0; i < domArrary.length; i++) {
				domArrary[i].addEventListener('tap', function(e) {
					var id = $(e.currentTarget).attr("comNo");
					localStorage.setItem("currentDetailUri",detailUri);
					localStorage.setItem("directDetailId",id);
					mui.openWindow({
						url: "zxqy-list-xq.html",
						//id: "news_2",
						show: {
							aniShow: 'slide-in-right',
							duration: 300
						}
					});
					return;
				});
			}
		}

		if (mui.os.plus) {
			mui.plusReady(function() {
				setTimeout(function() {
					mui('#pullrefresh').pullRefresh().pullupLoading();
				}, 1000);

			});
		} else {
			mui.ready(function() {
				mui('#pullrefresh').pullRefresh().pullupLoading();
			});
		}