template.config("escape", false);
var domain = "http://m.saic.gov.cn/";
/*var domain = "http://172.16.15.75/";*/
var suffix = ".json";


mui.init({
	pullRefresh: {
		container: '#pullrefresh',
		up: {
			contentrefresh: '正在加载...',
			callback: pullupRefresh
		}
	}
});


var count = 0;
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	setTimeout(function() {
		//mui('#pullrefresh').pullRefresh().endPullupToRefresh((++count > 2)); //参数为true代表没有更多数据了。
		/*var table = document.body.querySelector('.mui-table-view');
		var cells = document.body.querySelectorAll('.mui-table-view-cell');
		for(var i = cells.length, len = i + 20; i < len; i++) {
			var li = document.createElement('li');
			li.className = 'mui-table-view-cell';
			li.innerHTML = '<a class="mui-navigate-right"><i class="fa fa-square-o"></i>国务院印发《“十三五”市场监管规国务院印发《“十三五”市场监管规 ' + '</a>';
			table.appendChild(li);
		}*/
		getData(count);
		count++;
	}, 1500);
}
if(mui.os.plus) {
	mui.plusReady(function() {
		setTimeout(function() {
			mui('#pullrefresh').pullRefresh().pullupLoading();
		}, 1000);

	});
} else {
	mui.ready(function() {
		mui('#pullrefresh').pullRefresh().pullupLoading();
	});
}




var render = template("newsScript");
/**
 * 根据模板id和json数据将模板替换成真实数据。
 */

function fillRealData(jsonData){
	var dataSetKey = $("#newsScript").attr("dataSetKey");
	var html = "";
	if(dataSetKey != undefined && dataSetKey != null && dataSetKey != ""){
		html = render(jsonData[dataSetKey]);
	}else{
		html = render(jsonData);
	}
	
	$("#newsContainer").append(html);
	
	//列表项点击事件。跳转到新闻页面
	var news_content = document.getElementsByClassName('news_content');
	for(var i = 0; i<news_content.length; i++){
		news_content[i].addEventListener('tap', function(e) {
		var dataSrc = $(e.currentTarget).attr("dataSrc");
		localStorage.setItem("currentDetailUri",dataSrc);
		var newsTitle = $(e.currentTarget).attr("newsTitle");
		//console.info(newsTitle);
		localStorage.setItem("currentDetailTitle",newsTitle);
		mui.openWindow({
				url: "news.html",
				//id: "news_2",
				show: {
					aniShow: 'slide-in-right',
					duration: 300
				}
			});
			return;
		});
	}
}
/**
 * 请求数据，填充数据
 */
function getData(pageNO){
	//var uri = $("#newsScript").attr("uri");
	var uri = localStorage.getItem("currentRequestUri");
	//处理后缀
	if(!isNaN(pageNO) && pageNO != 0){
		if(uri.substring(uri.length-".json".length) == ".json"){
			uri = uri.substring(0,uri.length-".json".length);
			uri += "_"+pageNO+suffix;
		}else{
			uri+="_"+pageNO+suffix;
		}
	}else{
		if(uri.substring(uri.length-".json".length) != ".json"){
			uri += suffix;
		}
	}
	
	var url = null;
	//处理前缀，如果uri是以http开头的，直接访问，若不是，拼接全路径
	if(uri.indexOf("http")==0){
		url = uri;
	}else{
		url = domain+uri;
	}
	/*$.get(domain+uri+suffix,function(data){
		console.info(data);
		fillRealData(data);
	},"json");*/
	
	$.ajax({
		type:"GET",
		url:url,
		dataType:"json",
		async:false,
		success:function(data){
			fillRealData(data);
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(false); 
		},
		error:function(e,a,t){
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true); //参数为true代表没有更多数据了。
		}
	});
}