var shares=null;
// H5 plus事件处理
function plusReady(){
	updateSerivces();
}
if(window.plus){
	plusReady();
}else{
	document.addEventListener('plusready', plusReady, false);
}
/**
 * 更新分享服务
 */
function updateSerivces(){
	plus.share.getServices(function(s){
		shares={};
		for(var i in s){
			var t=s[i];
			shares[t.id]=t;
		}
	}, function(e){
		openAlert('获取分享服务列表失败：'+e.message);
	});
}

// 分析链接
function shareHref(){
	var shareBts=[];
	// 更新分享列表
	var ss=shares['weixin'];
	ss&&ss.nativeClient&&(shareBts.push({title:'微信朋友圈',s:ss,x:'WXSceneTimeline'}),
	shareBts.push({title:'微信好友',s:ss,x:'WXSceneSession'}));
	ss=shares['qq'];
	ss&&ss.nativeClient&&shareBts.push({title:'QQ',s:ss});
	// 弹出分享列表
	shareBts.length>0?plus.nativeUI.actionSheet({title:'分享链接',cancel:'取消',buttons:shareBts},function(e){
		(e.index>0)&&shareAction(shareBts[e.index-1],true);
	}):plus.nativeUI.alert('当前环境无法支持分享链接操作!');
}

/**
   * 分享操作
   * @param {JSON} sb 分享操作对象s.s为分享通道对象(plus.share.ShareService)
   * @param {Boolean} bh 是否分享链接
   */
function shareAction(sb,bh) {
	//openAlert('分享操作：');
	if(!sb||!sb.s){
		//openAlert('无效的分享服务！');
		return;
	}
	var msg={content:"",extra:{scene:sb.x}};
	if(bh){
		//msg.href=sharehref.value;
		msg.href=localStorage.getItem("currentDetailUri");
		msg.title=localStorage.getItem("currentDetailTitle");
		
		/*if(sharehrefTitle&&sharehrefTitle.value!=''){
			msg.title=sharehrefTitle.value;
		}*/
		/*sharehrefDes = null;
		if(sharehrefDes&&sharehrefDes.value!=''){
			msg.content=sharehrefDes.value;
		}*/
		msg.thumbs=['images/0.png'];
		msg.pictures=['images/0.png'];
	}else{
		if(pic&&pic.realUrl){
			msg.pictures=[pic.realUrl];
		}
	}
	// 发送分享
	if(sb.s.authenticated){
		//openAlert('---已授权---');
		shareMessage(msg, sb.s);
	}else{
		//openAlert('---未授权---');
		sb.s.authorize(function(){
			shareMessage(msg,sb.s);
		}, function(e){
			//openAlert('认证授权失败：'+e.code+' - '+e.message);
		});
	}
}


/**
   * 发送分享消息
   * @param {JSON} msg
   * @param {plus.share.ShareService} s
   */
function shareMessage(msg, s){
	//openAlert(JSON.stringify(msg));
	s.send(msg, function(){
		//openAlert('分享到"'+s.description+'"成功！');
	}, function(e){
		//openAlert('分享到"'+s.description+'"失败: '+JSON.stringify(e));
	});
}